[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResource.GetType

Returns the type of the resource

## Declaration

Source position: resource.pp line 153

`protected function TAbstractResource.GetType: TResourceDesc; virtual; abstract;`

## Function result

The TResourceDesc object representing the type of the resource

## Description

Descendant classes must implement this method to provide access to the resource type.